Bug 1732080

Summary: python2-kobo-rpmlib fails to install due to missing dependencies 
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: koboAssignee: Rohan McGovern <rohan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: dmach, kdudka, pviktori, rohan
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-16 13:43:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1700324, 1690439    

Description Miro Hrončok 2019-07-22 16:07:07 UTC
$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install python2-kobo-rpmlib
Problem: conflicting requests
 - nothing provides python2-koji needed by python2-kobo-rpmlib-0.10.0-1.fc31.noarch

Please remove the python2-kobo-rpmlib package, possibly the entire python2-kobo "group".

Comment 1 Rohan McGovern 2019-07-25 04:25:15 UTC
The latest kobo.spec in dist-git now supports dropping the python2 subpackages during build.

Per https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal, now waiting a few weeks for any volunteers to pick up the python2 packages.

Comment 2 Miro Hrončok 2019-07-25 09:25:29 UTC
Thank you!

Comment 3 Ben Cotton 2019-08-13 16:47:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Rohan McGovern 2019-08-16 13:43:09 UTC
python2 subpackages were dropped as of kobo-0.10.0-3.fc31 & kobo-0.10.0-3.fc32.

I'm not sure what's the right way to close this bug in the current state (past F31 branching but not yet at bodhi activation point).
Anyone interested could please let me know if I've not followed correct process here.

Comment 5 Petr Viktorin 2019-08-19 11:21:29 UTC
Thanks!

ERRATA sounds reasonable enough. AFAIK, there's no rigorous process around kobo that looks at the bug resolution. An wrong tag probably won't do more damage than throwing some statistics off.